/*

   Dump CAPS ACT table.
 
*/

#include <stdio.h>
#include <string.h>
#include "SpiceUsr.h"

   int main ( int          argc,
              char *       argv[]  ) 
{
   /* 
      Local Variables 
   */
   
   FILE *         input;
   long           i;
   long           n;
   short          myshort;
   double         et;
   float          angle;
   long           reccnt;
   SpiceChar      utcstr[32];


   if ( argc != 2 )
   {
      printf ("                             \n");
      printf ("Usage: dump_act [input_file] \n");
      printf ("                             \n");
      return(1);
   }

   /*
      Load LSK;
   */
   furnsh_c ( "/kernels/gen/lsk/naif0008.tls" );

   /* 
      Open the input file for binary reads.
   */
   
   if ( ( input = fopen( argv[1], "rb" ) ) == NULL )
   {
      printf ( "Can not open input file.\n"  );
      return(1);
   }

   n = fread ( &myshort, 1, 2, input );
   reccnt = 0;

   while ( !feof( input ) ) {
     
     printf( "record %ld -----------------------------------------\n", reccnt );

     n = fread ( &myshort, 1, 2, input );

     n = fread ( &et, 1, 8, input );
     
     for ( i=0; i<32 ; i++ )
     {
       n = fread ( &angle, 1, 4, input );

       timout_c ( et+i, "YYYY-MM-DDTHR:MN:SC.### ::RND", 32, utcstr );
       
       printf( "%26s %20.3f\n", utcstr, angle );
       
     }

     n = fread ( &myshort, 1, 2, input );
     reccnt++;

   }
   /*
      All done.
   */   
   return( 0 );
}
